Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.object
Class SingletonObjectFactory

    java.lang.Object
      org.mule.object.AbstractObjectFactory
          org.mule.object.SingletonObjectFactory

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, ObjectFactory

    public class SingletonObjectFactory

extends AbstractObjectFactory

Creates an instance of the object once and then always returns the same instance.

Field Summary

Fields inherited from class org.mule.object.AbstractObjectFactory
`ATTRIBUTE_OBJECT_CLASS, ATTRIBUTE_OBJECT_CLASS_NAME, initialisationCallbacks, logger, muleContext, objectClass, objectClassName, properties`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SingletonObjectFactory()` For Spring only
`SingletonObjectFactory(Class objectClass)`
`SingletonObjectFactory(Class<?> objectClass, Map properties)`
`SingletonObjectFactory(Object instance)` Create the singleton based on a previously created object.
`SingletonObjectFactory(String objectClassName)`
`SingletonObjectFactory(String objectClassName, Map properties)`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`Object` | `getInstance()` Always returns the same instance of the object.
`Class<?>` | `getObjectClass()` Returns the class of the object to be instantiated without actually creating an instance.
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isAutoWireObject()` Return true if the created object should get its dependencies wired from the registry automatically.
`boolean` | `isSingleton()` Returns true if the ObjectFactory implementation always returns the same object instance.

Methods inherited from class org.mule.object.AbstractObjectFactory
`addObjectInitialisationCallback, fireInitialisationCallbacks, getObjectClassName, getProperties, isExternallyManagedLifecycle, setMuleContext, setObjectClass, setObjectClassName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingletonObjectFactory

    public SingletonObjectFactory()

  For Spring only

### SingletonObjectFactory

    public SingletonObjectFactory(String objectClassName)

### SingletonObjectFactory

    public SingletonObjectFactory(String objectClassName,
                                  Map properties)

### SingletonObjectFactory

    public SingletonObjectFactory(Class objectClass)

### SingletonObjectFactory

    public SingletonObjectFactory(Class<?> objectClass,
                                  Map properties)

### SingletonObjectFactory

    public SingletonObjectFactory(Object instance)

  Create the singleton based on a previously created object.

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractObjectFactory`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractObjectFactory`

### getInstance

    public Object getInstance()
                       throws Exception

  Always returns the same instance of the object.

  Specified by:
    `getInstance` in interface `ObjectFactory`
  Overrides:
    `getInstance` in class `AbstractObjectFactory`
  Throws:
    `Exception`

### getObjectClass

    public Class<?> getObjectClass()

  Description copied from interface: `ObjectFactory`
  Returns the class of the object to be instantiated without actually creating an instance. This may not be logical or even possible depending on the implementation.

  Specified by:
    `getObjectClass` in interface `ObjectFactory`
  Overrides:
    `getObjectClass` in class `AbstractObjectFactory`

### isSingleton

    public boolean isSingleton()

  Description copied from interface: `ObjectFactory`
  Returns true if the ObjectFactory implementation always returns the same object instance.

  Specified by:
    `isSingleton` in interface `ObjectFactory`
  Overrides:
    `isSingleton` in class `AbstractObjectFactory`

### isAutoWireObject

    public boolean isAutoWireObject()

  Description copied from interface: `ObjectFactory`
  Return true if the created object should get its dependencies wired from the registry automatically. Typically Mule object factories would return true for this value, objects managed by DI container such as Spring should set this to false.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.